curl --request POST \
--url https://app.apigene.ai/api/gpt/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"index_name": "<string>",
"genai_app": "<string>",
"summary": "<string>",
"description": "<string>",
"apis": [
"<string>"
],
"created_by": "<string>",
"icon": "<string>",
"instructions": "<string>",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"appstore": [],
"categories": [
"Other"
],
"keywords": [
"<string>"
],
"partner_url": "<string>",
"config": {
"gpt_type": "private",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"is_installed": false
}
}
'import requests
url = "https://app.apigene.ai/api/gpt/update"
payload = {
"index_name": "<string>",
"genai_app": "<string>",
"summary": "<string>",
"description": "<string>",
"apis": ["<string>"],
"created_by": "<string>",
"icon": "<string>",
"instructions": "<string>",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"appstore": [],
"categories": ["Other"],
"keywords": ["<string>"],
"partner_url": "<string>",
"config": {
"gpt_type": "private",
"gpt_url": [
{
"appstore": "<string>",
"url": "<string>"
}
],
"is_installed": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
index_name: '<string>',
genai_app: '<string>',
summary: '<string>',
description: '<string>',
apis: ['<string>'],
created_by: '<string>',
icon: '<string>',
instructions: '<string>',
gpt_url: [{appstore: '<string>', url: '<string>'}],
appstore: [],
categories: ['Other'],
keywords: ['<string>'],
partner_url: '<string>',
config: {
gpt_type: 'private',
gpt_url: [{appstore: '<string>', url: '<string>'}],
is_installed: false
}
})
};
fetch('https://app.apigene.ai/api/gpt/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gpt Update
Endpoint to update an existing GPT instance’s description and associated APIs.
Args: payload (GPT): The updated GPT configuration payload.
Returns: dict: A message indicating success, failure, or if no changes were detected.
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Body
The index name of the custom GPT model.
The name of the custom GPT model.
A short liner about the GPT that will be present on the GPT store
A description of the custom GPT model.
List of API names accessible to the custom GPT through GPT actions.
The user who created the GPT.
Base64 string encoding of GPT icon.
Instructions for ChatGPT on how to operate the custom GPT model.
GPT url on it's installed appstore platform.
Show child attributes
Show child attributes
List of Gen AI appstores available to the custom GPT.
The type of GPT. private or public
Sales, Marketing, Product & R&D, HR, Operation, Finance, Support, Other Integration SEO related tags.
The partner's website URL
GPT configuration details.
Show child attributes
Show child attributes
Response
Successful Response
